View Issue Details

IDProjectCategoryView StatusLast Update
0000863FreeCADBugpublic2012-11-03 17:00
Reportertanderson69Assigned Towmayer 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.13 
Summary0000863: segfault in ~PythonDebuggerP()
Descriptiongetting "Illegal storage access..." upon program termination. Consistent, regardless of freecad interaction.
Additional Informationon:
commit 8d1ea0801a3b12ef3c0a2869e79f8892e45a55bb
Author: wmayer <wmayer@users.sourceforge.net>
Date: Mon Oct 29 21:21:15 2012 +0100

    0000858: Self-Test fails for testActivate v0.13.1539


Kubuntu 12.10

attached file is a png file NOT a zip.
TagsNo tags attached.

Activities

2012-10-30 10:32

 

FreecadSegFault.png.zip (Attachment missing)

wmayer

2012-10-30 15:10

administrator   ~0002476

Are there any specific user interaction needed? Can you check what the ref counter is of the four Python instances in the destructor, please?

Btw, in Mantis you can upload images directly, no need to put them into a zip file.

wmayer

2012-11-01 17:48

administrator   ~0002480

This happens only on Ubuntu 12.10. However, FreeCAD on Ubuntu 12.04 that uses the same Python version (2.7.3) doesn't crash.

wmayer

2012-11-03 13:38

administrator   ~0002486

git show 1e38a6d should fix this.

Issue History

Date Modified Username Field Change
2012-10-30 10:32 tanderson69 New Issue
2012-10-30 10:32 tanderson69 File Added: FreecadSegFault.png.zip
2012-10-30 15:10 wmayer Note Added: 0002476
2012-11-01 17:48 wmayer Note Added: 0002480
2012-11-01 17:48 wmayer Assigned To => wmayer
2012-11-01 17:48 wmayer Status new => confirmed
2012-11-03 13:38 wmayer Note Added: 0002486
2012-11-03 17:00 wmayer Status confirmed => closed
2012-11-03 17:00 wmayer Resolution open => fixed
2012-11-03 17:00 wmayer Fixed in Version => 0.13